Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.rendered
Class BufferedImageCachableRed

    java.lang.Object
      org.apache.xmlgraphics.image.rendered.AbstractRed
          org.apache.xmlgraphics.image.rendered.BufferedImageCachableRed

All Implemented Interfaces:
  RenderedImage, CachableRed

    public class BufferedImageCachableRed

extends AbstractRed

This implements CachableRed based on a BufferedImage. You can use this to wrap a BufferedImage that you want to appear as a CachableRed. It essentially ignores the dependency and dirty region methods. Originally authored by Thomas DeWeese.

Version:
  $Id: BufferedImageCachableRed.java 1576437 2014-03-11 17:49:35Z vhennebert $

Field Summary

Fields inherited from class org.apache.xmlgraphics.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`BufferedImageCachableRed(BufferedImage bi)` Construct an instance of CachableRed around a BufferedImage.
`BufferedImageCachableRed(BufferedImage bi, int xloc, int yloc)`

Method Summary
`WritableRaster` | `copyData(WritableRaster wr)`
`Rectangle` | `getBounds()` Returns the bounds of the current image.
`BufferedImage` | `getBufferedImage()` fetch the bufferedImage from this node.
`Raster` | `getData()`
`Raster` | `getData(Rectangle rect)`
`Object` | `getProperty(String name)`
`String[]` | `getPropertyNames()`
`Raster` | `getTile(int tileX, int tileY)`

Methods inherited from class org.apache.xmlgraphics.image.rendered.AbstractRed
`copyBand, copyToRaster, getColorModel, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferedImageCachableRed

    public BufferedImageCachableRed(BufferedImage bi)

  Construct an instance of CachableRed around a BufferedImage.

### BufferedImageCachableRed

    public BufferedImageCachableRed(BufferedImage bi,
                                    int xloc,
                                    int yloc)

Method Detail

### getBounds

    public Rectangle getBounds()

  Description copied from interface: `CachableRed`
  Returns the bounds of the current image. This should be 'in sync' with getMinX, getMinY, getWidth, getHeight

  Specified by:
    `getBounds` in interface `CachableRed`
  Overrides:
    `getBounds` in class `AbstractRed`

### getBufferedImage

    public BufferedImage getBufferedImage()

  fetch the bufferedImage from this node.

### getProperty

    public Object getProperty(String name)

  Specified by:
    `getProperty` in interface `RenderedImage`
  Overrides:
    `getProperty` in class `AbstractRed`

### getPropertyNames

    public String[] getPropertyNames()

  Specified by:
    `getPropertyNames` in interface `RenderedImage`
  Overrides:
    `getPropertyNames` in class `AbstractRed`

### getTile

    public Raster getTile(int tileX,
                          int tileY)

  Specified by:
    `getTile` in interface `RenderedImage`
  Overrides:
    `getTile` in class `AbstractRed`

### getData

    public Raster getData()

  Specified by:
    `getData` in interface `RenderedImage`
  Overrides:
    `getData` in class `AbstractRed`

### getData

    public Raster getData(Rectangle rect)

  Specified by:
    `getData` in interface `RenderedImage`
  Overrides:
    `getData` in class `AbstractRed`

### copyData

    public WritableRaster copyData(WritableRaster wr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.